Skip to main content
GET
/
destinations
/
{destination_id}
/
data-integrity
/
{job_id}
Get specific data integrity job for a destination
curl --request GET \
  --url https://api.prequel.co/destinations/{destination_id}/data-integrity/{job_id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.prequel.co/destinations/{destination_id}/data-integrity/{job_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.prequel.co/destinations/{destination_id}/data-integrity/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "job": {
      "id": "<string>",
      "org_schema": "<string>",
      "submitted_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "destination_id": "<string>",
      "status": "<string>",
      "model_ids": [
        "<string>"
      ],
      "model_sample_primary_ids": {},
      "data_integrity_results": [
        {
          "model_name": "<string>",
          "is_healthy": true,
          "error_message": "<string>",
          "sampling_rate": 123,
          "total_rows_compared": 123,
          "total_rows_stale": 123,
          "total_rows_pending": 123,
          "total_rows_missing": 123,
          "total_rows_incorrect": 123,
          "total_rows_orphaned": 123,
          "mismatched_partitions": [
            {
              "source_row_count": 123,
              "destination_row_count": 123,
              "last_modified_lower_bound_epoch": 123,
              "last_modified_upper_bound_epoch": 123
            }
          ]
        }
      ],
      "log_message": "<string>"
    }
  },
  "message": "<string>"
}
{
"status": "<string>",
"message": "<string>",
"data": null
}
{
"status": "<string>",
"message": "<string>",
"data": null
}
{
"status": "<string>",
"message": "<string>",
"data": null
}
{
"status": "<string>",
"message": "<string>",
"data": null
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

destination_id
string
required

Destination ID.

job_id
string
required

Integrity Job ID.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required